## univention-system-setup 13.0.3-29A~5.0.0.202105141118

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2014-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

.PHONY: build install clean

#INITIALSETUP_DE_JSON := usr/share/univention-system-setup-boot/www/i18n/de/initialsetup.json
STYL_FILES := $(shell find usr/share -name '*.styl')
CSS_FILES := $(STYL_FILES:.styl=.css)

build: $(CSS_FILES)

clean:
	$(RM) -f $(CSS_FILES)
	$(RM) -f umc/js/*.json

install: build
	@echo "Nothing to install"

%.css: %.styl
	stylus "$<"

%.json: %.po
	dh-umc-po2json "$<"

=== debian/changelog ===
univention-system-setup (13.0.3-29A~5.0.0.202105141118) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 14 May 2021 11:18:13 +0200

univention-system-setup (13.0.3-29) unstable; urgency=medium

  * Bug #53226: remove StartupDialog code

 -- Johannes Keiser <keiser@univention.de>  Fri, 14 May 2021 11:11:54 +0200

univention-system-setup (13.0.3-28) unstable; urgency=medium

  * Bug #53225: redirect to /univention/portal/ instead of
    /univention/management/

 -- Johannes Keiser <keiser@univention.de>  Fri, 14 May 2021 11:09:09 +0200

univention-system-setup (13.0.3-27) unstable; urgency=low

  * Bug #51683: remove unused variable

 -- Daniel Troeder <troeder@univention.de>  Fri, 14 May 2021 09:42:07 +0200

univention-system-setup (13.0.3-26) unstable; urgency=low

  * Bug #51683: remove unused content from ldap status file

 -- Daniel Troeder <troeder@univention.de>  Fri, 14 May 2021 09:16:04 +0200

univention-system-setup (13.0.3-25) unstable; urgency=low

  * Bug #51683: cleanup univention-system-setup.ldap status file

 -- Daniel Troeder <troeder@univention.de>  Wed, 12 May 2021 13:58:12 +0200

univention-system-setup (13.0.3-24) unstable; urgency=medium

  * Bug #53217: css adjustments for browser compatibility

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:04:58 +0200

univention-system-setup (13.0.3-23) unstable; urgency=medium

  * Bug #53160: adjust design of initialsetup site

 -- Johannes Keiser <keiser@univention.de>  Thu, 29 Apr 2021 10:40:02 +0200

univention-system-setup (13.0.3-22) unstable; urgency=medium

  * Bug #52941: added new icon design for certificate, language and network settings

 -- Jan Luttermann <luttermann@univention.de>  Fri, 23 Apr 2021 14:11:03 +0200

univention-system-setup (13.0.3-21) unstable; urgency=low

  * Bug #52977: Add systemd.service for USS-boot

 -- Philipp Hahn <hahn@univention.de>  Wed, 14 Apr 2021 13:56:26 +0200

univention-system-setup (13.0.3-20) unstable; urgency=medium

  * Bug #52941: update module icon for portal

 -- Johannes Keiser <keiser@univention.de>  Wed, 14 Apr 2021 09:59:59 +0200

univention-system-setup (13.0.3-19) unstable; urgency=medium

  * Bug #42374: Typos

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 08 Apr 2021 11:44:38 +0200

univention-system-setup (13.0.3-18) unstable; urgency=medium

  * Bug #52453: qa feedback

 -- Johannes Keiser <keiser@univention.de>  Thu, 25 Mar 2021 17:20:45 +0100

univention-system-setup (13.0.3-17) unstable; urgency=medium

  * Bug #52453: remove unused css class

 -- Johannes Keiser <keiser@univention.de>  Wed, 24 Mar 2021 14:30:52 +0100

univention-system-setup (13.0.3-16) unstable; urgency=medium

  * Bug #52453: adjustments for small screens

 -- Johannes Keiser <keiser@univention.de>  Wed, 24 Mar 2021 14:25:59 +0100

univention-system-setup (13.0.3-15) unstable; urgency=medium

  * Bug #52941: added module icon for portal

 -- Jan Luttermann <jluttermann@linux.fritz.box>  Wed, 24 Mar 2021 11:11:19 +0100

univention-system-setup (13.0.3-14) unstable; urgency=medium

  * Bug #45918: New link syntax

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 22 Mar 2021 15:06:40 +0100

univention-system-setup (13.0.3-13) unstable; urgency=medium

  * Bug #52453: adjust ApplianceWizard styling

 -- Johannes Keiser <keiser@univention.de>  Mon, 22 Mar 2021 10:44:32 +0100

univention-system-setup (13.0.3-12) unstable; urgency=medium

  * Bug #52897: /usr/share/univention-management-console/meta.json has been
    moved to /var/www/univention/meta.json

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 11 Mar 2021 15:39:51 +0100

univention-system-setup (13.0.3-11) unstable; urgency=medium

  * Bug #52453: change icon

 -- Johannes Keiser <keiser@univention.de>  Mon, 08 Mar 2021 18:50:32 +0100

univention-system-setup (13.0.3-10) unstable; urgency=medium

  * Bug #52453: adjust font-size

 -- Johannes Keiser <keiser@univention.de>  Thu, 04 Mar 2021 11:55:41 +0100

univention-system-setup (13.0.3-9) unstable; urgency=medium

  * Bug #52453: adjust design of 'Certificate settings', 'Language settings'
  	and 'Network settings' module

 -- Johannes Keiser <keiser@univention.de>  Tue, 26 Jan 2021 09:31:59 +0100

univention-system-setup (13.0.3-8) unstable; urgency=medium

  * Bug #51598: univention-appcenter should be used as Python3

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 20 Jan 2021 12:24:05 +0100

univention-system-setup (13.0.3-7) unstable; urgency=low

  * Bug #43687: Fix UDN and UDL restart

 -- Philipp Hahn <hahn@univention.de>  Wed, 06 Jan 2021 08:18:36 +0100

univention-system-setup (13.0.3-6) unstable; urgency=low

  * Bug #52469: disable "reboot" hint at end of system setup

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Mon, 14 Dec 2020 22:17:43 +0100

univention-system-setup (13.0.3-5) unstable; urgency=medium

  * Bug #52453: UCS 5 design - Select input + misc.

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Dec 2020 08:48:42 +0100

univention-system-setup (13.0.3-4) unstable; urgency=low

  * Bug #52469: remove get-volume-set-identifier

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 10 Dec 2020 11:25:33 +0100

univention-system-setup (13.0.3-3) unstable; urgency=low

  * Bug #52469: restart UMC (web) server after USS

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 09 Dec 2020 12:06:14 +0100

univention-system-setup (13.0.3-2) unstable; urgency=medium

  * Bug #52453: System setup design adjustments

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 09 Dec 2020 02:54:59 +0100

univention-system-setup (13.0.3-1) unstable; urgency=low

  * Bug #52469: readd di-univention-system-setup

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 08 Dec 2020 21:14:40 +0100

univention-system-setup (13.0.2-6) unstable; urgency=medium

  * Bug #52453: fix VirtualKeyboardBox undefined error



## univention-system-setup 13.0.3-31A~5.0.0.202105302335

=== debian/changelog ===
univention-system-setup (13.0.3-31A~5.0.0.202105302335) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 30 May 2021 23:35:42 +0200

univention-system-setup (13.0.3-31) unstable; urgency=medium

  * Bug #53244: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sun, 30 May 2021 23:34:10 +0200

univention-system-setup (13.0.3-30) unstable; urgency=medium

  * Bug #53244: Updated browser versions in motd

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 26 May 2021 13:54:55 +0200

=== debian/control ===
Source: univention-system-setup
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.8.2
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 node-stylus,
 python-all,
 python-apt,
 python-dnspython,
 python-ipaddress,
 python-lxml,
 python-notifier,
 python-pil,
 python-psutil,
 python-univention-appcenter,
 python-univention-lib,
 python-univention-management-console,
 python3-all,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
 unzip,

Package: univention-system-setup
Architecture: all
Depends:
 gettext-base,
 python-univention-lib (>= 6.0.9-20),
 shell-univention-lib (>= 3.0.1-1),
 univention-config (>= 8.0-2),
 univention-ipcalc (>= 5),
 univention-grub,
 univention-welcome-screen,
 whois,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Breaks:
 univention-system-setup-boot (<< 8.1.63-5),
Recommends:
 rdate,
 univention-management-console-module-setup,
Provides:
 ${python3:Provides},
 ${python:Provides},
Description: UCS System Setup tools
 This package provides the tool to configure the system, especially its name,
 domain, network configuration, and software.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-system-setup-boot
Architecture: all
Provides:
 univention-setup-boot,
 univention-system-setup-appliance,
Conflicts:
 univention-server-backup,
 univention-server-member,
 univention-server-slave,
 univention-system-setup-appliance,
Depends:
 openbox,
 python-six,
 python-univention-appcenter,
 python3-six,
 shell-univention-lib,
 univention-apache (>= 7.0.16-10),
 univention-network-common,
 univention-system-setup (= ${source:Version}),
 x11-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 ${misc:Depends},
Recommends:
 dbus-x11,
 firefox-esr,
 smbclient,
 linux-image-amd64,
 xinit,
Replaces:
 univention-setup-boot,
 univention-system-setup-appliance,
Description: Starting univention-system-setup on next boot
 This package configures the computer to launch UCS System Setup on its next
 boot. This package is only allowed on the server role Primary Directory Node.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: di-univention-system-setup
Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: standard
XB-Subarchitecture: ${subarch}
Provides:
 configured-ucs,
Depends:
 bootable-system,
 cdebconf-udeb,
 created-fstab,
 di-utils,
 installed-base,
 kernel-installer,
 ${misc:Depends},
XB-Installer-Menu-Item: 7650
Description: Configure Univention System Setup
 This package is used to configure Univention System Setup in boot mode from
 the Debian based UCS installer.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-module-setup
Architecture: all
Depends:
 at,
 libsasl2-modules-gssapi-heimdal,
 python-apt,
 python-dnspython,
 python-ipaddress,
 python-lxml,
 python-psutil,
 python-univention-lib (>= 4.0.5-12),
 univention-directory-manager-tools (>> 7.0.147),
 univention-heimdal-common,
 univention-ipcalc,
 univention-management-console-frontend,
 univention-management-console-module-lib,
 univention-management-console-module-sysinfo,
 univention-management-console-server (>= 11.0.4-37),
 univention-system-setup (= ${source:Version}),
 univention-updater,
 x11-xkb-utils,
 xkb-data,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Description: UMC module for Univention System Setup
 This package contains the UMC module for the UCS System Setup.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-system-setup 13.0.3-33A~5.0.0.202106211310

=== debian/changelog ===
univention-system-setup (13.0.3-33A~5.0.0.202106211310) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Jun 2021 13:10:07 +0200

univention-system-setup (13.0.3-33) unstable; urgency=medium

  * Bug #53390: adjust css var usage

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 12:36:15 +0200

univention-system-setup (13.0.3-32) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:34:02 +0200

## univention-system-setup 13.0.3-34A~5.0.0.202109071037

=== city-data/Makefile ===
#!/usr/bin/make -f
#
# Copyright 2014-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

.PHONY: build install clean

# NOTE:
#   In order to update json data files, run 'make clean; make'
#   In order to support l10n for other languages, extend the list LANGUAGES
LANGUAGES := de en
JSON_FILES := country_data.json city_data.json

build: $(JSON_FILES)

clean:
	rm -f alternateNames.txt cities15000.txt $(JSON_FILES)

install: build
	@echo "Nothing to install"

%.txt: %.zip
	unzip -u -d "$(*D)" $<

country_data.json: countryInfo.txt alternateNames.txt
	./create_country_data.py "$@" $(LANGUAGES)

city_data.json: cities15000.txt alternateNames.txt
	./create_city_data.py "$@" $(LANGUAGES)

alternateNames.zip:
	wget https://updates.software-univention.de/download/large-build-files/alternateNames.zip
	echo 'b2592ddda5484bb7a7b0724543ac7dbf5db9a3f5cb47dd1d4bc358e6afda324be55ed9a42355309e7a2ba20c710abd839daa4174cb97947c57abdbead132a1cf  alternateNames.zip' | sha512sum -c

=== debian/changelog ===
univention-system-setup (13.0.3-34A~5.0.0.202109071037) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 07 Sep 2021 10:37:24 +0200

univention-system-setup (13.0.3-34) unstable; urgency=medium

  * Bug #53665: remove unused css class

 -- Johannes Keiser <keiser@univention.de>  Tue, 07 Sep 2021 10:07:32 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention System Setup
#  rules file for the debian package
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

override_dh_auto_test:
	run-parts -a -v tests

override_dh_python2:
	dh_python2 --skip-private

override_dh_python3:
	dh_python3 --skip-private

override_dh_install:
	dh_install -Xde.po -Xunivention-system-setup-scripts.po

override_dh_installsystemd:
	dh_installsystemd --no-start --no-restart-after-upgrade

%:
	dh $@ --with python2,python3,univention-l10n,umc,ucr

## univention-system-setup 13.0.3-35A~5.0.0.202109261332

=== debian/changelog ===
univention-system-setup (13.0.3-35A~5.0.0.202109261332) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 26 Sep 2021 13:32:33 +0200

univention-system-setup (13.0.3-35) unstable; urgency=low

  * Bug #53345: Fix dependency on python-univention-ipcalc

 -- Philipp Hahn <hahn@univention.de>  Sun, 26 Sep 2021 08:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  python-univention-lib (>= 6.0.9-20),
  shell-univention-lib (>= 3.0.1-1),
  univention-config (>= 8.0-2),
- univention-ipcalc (>= 5),
  univention-grub,
  univention-welcome-screen,
  whois,
@@ -132,10 +131,10 @@
  python-ipaddress,
  python-lxml,
  python-psutil,
+ python-univention-ipcalc (>= 5),
  python-univention-lib (>= 4.0.5-12),
  univention-directory-manager-tools (>> 7.0.147),
  univention-heimdal-common,
- univention-ipcalc,
  univention-management-console-frontend,
  univention-management-console-module-lib,
  univention-management-console-module-sysinfo,

## univention-system-setup 13.0.3-36A~5.0.0.202205021118

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2014-2021 Univention GmbH
+# Copyright 2014-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== city-data/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2014-2021 Univention GmbH
+# Copyright 2014-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (13.0.3-36A~5.0.0.202205021118) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 02 May 2022 11:18:48 +0200

univention-system-setup (13.0.3-36) unstable; urgency=medium

  * Bug #51318: migrate univention-system-setup to Python 3

 -- Florian Best <best@univention.de>  Fri, 25 Mar 2022 18:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,16 @@
  debhelper-compat (= 12),
  dh-python,
  node-stylus,
- python-all,
- python-apt,
- python-dnspython,
- python-ipaddress,
- python-lxml,
- python-notifier,
- python-pil,
- python-psutil,
- python-univention-appcenter,
- python-univention-lib,
- python-univention-management-console,
  python3-all,
+ python3-apt,
+ python3-dnspython,
+ python3-lxml,
+ python3-notifier,
+ python3-pil,
+ python3-psutil,
+ python3-univention-appcenter,
+ python3-univention-lib,
+ python3-univention-management-console,
  univention-config-dev (>= 15.0.3),
  univention-l10n-dev (>= 7.0.1),
  univention-management-console-dev (>= 12.0.2),
@@ -28,7 +26,7 @@
 Architecture: all
 Depends:
  gettext-base,
- python-univention-lib (>= 6.0.9-20),
+ python3-univention-lib,
  shell-univention-lib (>= 3.0.1-1),
  univention-config (>= 8.0-2),
  univention-grub,
@@ -36,7 +34,6 @@
  whois,
  ${misc:Depends},
  ${python3:Depends},
- ${python:Depends},
 Breaks:
  univention-system-setup-boot (<< 8.1.63-5),
 Recommends:
@@ -44,7 +41,6 @@
  univention-management-console-module-setup,
 Provides:
  ${python3:Provides},
- ${python:Provides},
 Description: UCS System Setup tools
  This package provides the tool to configure the system, especially its name,
  domain, network configuration, and software.
@@ -66,9 +62,8 @@
  univention-system-setup-appliance,
 Depends:
  openbox,
- python-six,
- python-univention-appcenter,
  python3-six,
+ python3-univention-appcenter,
  shell-univention-lib,
  univention-apache (>= 7.0.16-10),
  univention-network-common,
@@ -126,13 +121,16 @@
 Depends:
  at,
  libsasl2-modules-gssapi-heimdal,
- python-apt,
- python-dnspython,
- python-ipaddress,
- python-lxml,
- python-psutil,
- python-univention-ipcalc (>= 5),
- python-univention-lib (>= 4.0.5-12),
+ python3-apt,
+ python3-dnspython,
+ python3-ldap,
+ python3-lxml,
+ python3-notifier,
+ python3-psutil,
+ python3-six,
+ python3-univention-appcenter,
+ python3-univention-ipcalc,
+ python3-univention-lib,
  univention-directory-manager-tools (>> 7.0.147),
  univention-heimdal-common,
  univention-management-console-frontend,
@@ -145,7 +143,8 @@
  xkb-data,
  ${misc:Depends},
  ${python3:Depends},
- ${python:Depends},
+Provides:
+ ${python3:Provides},
 Description: UMC module for Univention System Setup
  This package contains the UMC module for the UCS System Setup.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention System Setup
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -33,9 +33,6 @@
 override_dh_auto_test:
 	run-parts -a -v tests
 
-override_dh_python2:
-	dh_python2 --skip-private
-
 override_dh_python3:
 	dh_python3 --skip-private
 
@@ -46,4 +43,4 @@
 	dh_installsystemd --no-start --no-restart-after-upgrade
 
 %:
-	dh $@ --with python2,python3,univention-l10n,umc,ucr
+	dh $@ --with python3,univention-l10n,umc,ucr

## univention-system-setup 13.0.3-37A~5.0.0.202209011331

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2014-2022 Univention GmbH
 #

=== city-data/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2014-2022 Univention GmbH
 #

=== debian/changelog ===
univention-system-setup (13.0.3-37A~5.0.0.202209011331) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 01 Sep 2022 13:31:02 +0200

univention-system-setup (13.0.3-37) unstable; urgency=medium

  * Bug #55156: fix country search during system setup

 -- Florian Best <best@univention.de>  Thu, 01 Sep 2022 10:57:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention System Setup
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2004-2022 Univention GmbH
 #

## univention-system-setup 13.0.3-38A~5.0.0.202301191421

=== debian/changelog ===
univention-system-setup (13.0.3-38A~5.0.0.202301191421) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 19 Jan 2023 14:21:25 +0100

univention-system-setup (13.0.3-38) unstable; urgency=medium

  * Bug #45058: fix domain join with usernames that has 0 in it

 -- Mika Westphal <westphal@univention.de>  Wed, 18 Jan 2023 15:28:12 +0100

=== debian/control ===
--- 
+++ 
@@ -75,8 +75,8 @@
 Recommends:
  dbus-x11,
  firefox-esr,
+ linux-image-amd64,
  smbclient,
- linux-image-amd64,
  xinit,
 Replaces:
  univention-setup-boot,

## univention-system-setup 13.0.3-39A~5.0.0.202301271639

=== debian/changelog ===
univention-system-setup (13.0.3-39A~5.0.0.202301271639) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Jan 2023 16:39:03 +0100

univention-system-setup (13.0.3-39) unstable; urgency=medium

  * Bug #54986: slap tools must also work in case
    /etc/ldap/slapd.d/cn=config.ldif exists (even if invalid)

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Wed, 25 Jan 2023 18:03:46 +0100

## univention-system-setup 13.0.6-2A~5.0.0.202302061613

=== city-data/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2022 Univention GmbH
+# Copyright 2014-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (13.0.6-2A~5.0.0.202302061613) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:13:27 +0100

univention-system-setup (13.0.6-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:31 +0100

univention-system-setup (13.0.6-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:36 +0100

univention-system-setup (13.0.5-1) unstable; urgency=medium

  * Bug #55598: bind loop variables to function

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 11:23:10 +0100

univention-system-setup (13.0.4-1) unstable; urgency=medium

  * Bug #55554: Corrected UCR type definitions string -> str

 -- Peter Stoll <stoll.extern@univention.de>  Thu, 02 Feb 2023 11:09:39 +0100

## univention-system-setup 13.0.6-5

=== debian/changelog ===
univention-system-setup (13.0.6-5) unstable; urgency=medium

  * Bug #55632: improved the Python 3.11 compatiblity

 -- Florian Best <best@univention.de>  Tue, 30 May 2023 11:40:17 +0200

univention-system-setup (13.0.6-4) unstable; urgency=low

  * Bug #55632: improved the Python 3.11 compatiblity

 -- Philipp Hahn <hahn@univention.de>  Fri, 26 May 2023 10:41:37 +0200

univention-system-setup (13.0.6-3) unstable; urgency=medium

  * Bug #55632: improved the Python 3.11 compatiblity

 -- Mika Westphal <westphal@univention.de>  Fri, 28 Apr 2023 10:13:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-dnspython,
  python3-lxml,
  python3-notifier,
+ python3-packaging,
  python3-pil,
  python3-psutil,
  python3-univention-appcenter,
@@ -126,8 +127,8 @@
  python3-ldap,
  python3-lxml,
  python3-notifier,
+ python3-packaging,
  python3-psutil,
- python3-six,
  python3-univention-appcenter,
  python3-univention-ipcalc,
  python3-univention-lib,

## univention-system-setup 13.0.9-1

=== debian/changelog ===
univention-system-setup (13.0.9-1) unstable; urgency=medium

  * Bug #43633: change systemd dependency to
    univention-management-console-server.service

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:47:14 +0200

univention-system-setup (13.0.8-1) unstable; urgency=medium

  * Bug #43633: replace direct use of notifier.threads with UMC
    @threaded decorator

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 10:12:29 +0200

univention-system-setup (13.0.7-1) unstable; urgency=medium

  * Bug #55922: replace systemctl with deb-systemd-invoke for UMC
    restarts

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 08:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -137,7 +137,7 @@
  univention-management-console-frontend,
  univention-management-console-module-lib,
  univention-management-console-module-sysinfo,
- univention-management-console-server (>= 11.0.4-37),
+ univention-management-console-server (>= 12.0.20-1),
  univention-system-setup (= ${source:Version}),
  univention-updater,
  x11-xkb-utils,

## univention-system-setup 13.0.9-3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2022 Univention GmbH
+# Copyright 2014-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (13.0.9-3) unstable; urgency=medium

  * Bug #56357: Remove link to deprecated Univention Wiki

 -- Nico Gulden <gulden@univention.de>  Thu, 27 Jul 2023 18:24:12 +0200

univention-system-setup (13.0.9-2) unstable; urgency=medium

  * Bug #56201: replace python-notifier and adjust to new UMC module API

 -- Florian Best <best@univention.de>  Tue, 27 Jun 2023 16:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-apt,
  python3-dnspython,
  python3-lxml,
- python3-notifier,
  python3-packaging,
  python3-pil,
  python3-psutil,
@@ -126,7 +125,6 @@
  python3-dnspython,
  python3-ldap,
  python3-lxml,
- python3-notifier,
  python3-packaging,
  python3-psutil,
  python3-univention-appcenter,
@@ -137,7 +135,7 @@
  univention-management-console-frontend,
  univention-management-console-module-lib,
  univention-management-console-module-sysinfo,
- univention-management-console-server (>= 12.0.20-1),
+ univention-management-console-server (>= 12.0.31-10),
  univention-system-setup (= ${source:Version}),
  univention-updater,
  x11-xkb-utils,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2022 Univention GmbH
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-system-setup 13.0.10-1

=== debian/changelog ===
univention-system-setup (13.0.10-1) unstable; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump
  * Bug #34106: Fix SSL certificate renewal
  * Bug #48126: Explicitly export proxy settings for repository check

 -- Philipp Hahn <hahn@univention.de>  Sat, 09 Dec 2023 15:05:00 +0100

## univention-system-setup 13.0.10-2

=== city-data/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2023 Univention GmbH
+# Copyright 2014-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (13.0.10-2) unstable; urgency=medium

  * Bug #57039: Restart udm-cli in setup-join.sh after setting ldap/base

 -- Felix Botner <botner@univention.de>  Mon, 19 Feb 2024 09:22:49 +0100

## univention-system-setup 13.0.10-5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2023 Univention GmbH
+# Copyright 2014-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (13.0.10-5) unstable; urgency=low

  * Bug #56911: Adjust code to python3-dnspython 2.3.0

 -- Philipp Hahn <hahn@univention.de>  Fri, 01 Mar 2024 18:05:11 +0100

univention-system-setup (13.0.10-4) unstable; urgency=low

  * Bug #57078: Re-add univention-samba required for AD Member Mode.

 -- Philipp Hahn <hahn@univention.de>  Fri, 01 Mar 2024 15:17:17 +0100

univention-system-setup (13.0.10-3) unstable; urgency=low

  * Bug #57078: Re-add ADC to list of base packages downloaded into USS cache
    required for AD Member Mode.

 -- Philipp Hahn <hahn@univention.de>  Fri, 01 Mar 2024 13:41:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-system-setup 14.0.1A~5.1.0.202403042314

=== debian/changelog ===
univention-system-setup (14.0.1A~5.1.0.202403042314) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 04 Mar 2024 23:14:16 +0100

univention-system-setup (14.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:51:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.8.2
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  node-stylus,
  python3-all,
@@ -62,7 +62,6 @@
  univention-system-setup-appliance,
 Depends:
  openbox,
- python3-six,
  python3-univention-appcenter,
  shell-univention-lib,
  univention-apache (>= 7.0.16-10),

## univention-system-setup 15.0.13

=== debian/changelog ===
univention-system-setup (15.0.13) unstable; urgency=medium

  * Bug #56661: migrate from NTP to NTPSEC

 -- Arvid <requate@univention.de>  Fri, 10 Jan 2025 15:32:28 +0100

univention-system-setup (15.0.12) unstable; urgency=medium

  * Issue univention/ucs#2560: set system/setup/boot/start to false after setup

 -- Felix Botner <botner@univention.de>  Fri, 13 Dec 2024 14:24:18 +0100

univention-system-setup (15.0.11) unstable; urgency=medium

  * Issue univention/ucs#2560: don't stop during upgrade

    to not stop a running setup process, and replace
    ifconfig down with ifdown

 -- Felix Botner <botner@univention.de>  Fri, 13 Dec 2024 11:55:04 +0100

univention-system-setup (15.0.10) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: Change settings from keycloak/server/sso/fqdn to ucs/server/sso/uri

 -- Julia Bremer <bremer@univention.de>  Mon, 09 Dec 2024 09:58:18 +0100

univention-system-setup (15.0.9) unstable; urgency=medium

  * Issue univention/ucs#2524: start firefox in kiosk mode during system setup

 -- Felix Botner <botner@univention.de>  Fri, 29 Nov 2024 13:42:13 +0100

univention-system-setup (15.0.8) unstable; urgency=medium

  * Issue univention/ucs#2495: Update copyright

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 27 Nov 2024 17:17:37 +0100

univention-system-setup (15.0.7) unstable; urgency=medium

  * Issue univention/ucs#2488: Remove automated keycloak installation during
    system-setup

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 04 Nov 2024 17:02:35 +0100

univention-system-setup (15.0.6) unstable; urgency=medium

  * Bug #56806: Install Keycloak in system-setup from appcenter

 -- Felix Botner <botner@univention.de>  Fri, 09 Aug 2024 15:47:50 +0200

univention-system-setup (15.0.5) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:32 +0100

univention-system-setup (15.0.4) unstable; urgency=medium

  * Bug #56793: Unify whitespace in pam config a bit

 -- Arvid Requate <requate@univention.de>  Fri, 08 Mar 2024 00:18:46 +0100

univention-system-setup (15.0.3) unstable; urgency=medium

  * Bug #56806: Install Keycloak in system-setup

 -- Felix Botner <botner@univention.de>  Fri, 08 Mar 2024 00:18:42 +0100

univention-system-setup (15.0.2) unstable; urgency=medium

  * Bug #56003: bind9 service was renamed to named

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:24 +0100

univention-system-setup (15.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:27 +0100

univention-system-setup (14.0.6) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:11 +0100

univention-system-setup (14.0.5) unstable; urgency=medium

  * Bug #56662: require memberof to be enabled

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:58 +0100

univention-system-setup (14.0.4) unstable; urgency=medium

  * Bug #55997: replace obsolete ldap client utility options (-h/-p)

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:46 +0100

univention-system-setup (14.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:33 +0100

univention-system-setup (14.0.2) unstable; urgency=medium

  * Bug #56530: remove Python version specification in XML module
    definition

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:25 +0100

univention-system-setup (13.0.11-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_install -Xde.po -Xunivention-system-setup-scripts.po
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --no-restart-after-upgrade
+	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade
 
 %:
 	dh $@ --with python3,univention-l10n,umc,ucr

## univention-system-setup 15.0.14

=== debian/changelog ===
univention-system-setup (15.0.14) unstable; urgency=medium

  * Issue univention/ucs#2561: update logos

 -- Felix Botner <botner@univention.de>  Mon, 27 Jan 2025 16:00:34 +0100

## univention-system-setup 15.0.15

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2024 Univention GmbH
+# Copyright 2014-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

=== city-data/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2014-2024 Univention GmbH
+# Copyright 2014-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-system-setup (15.0.15) unstable; urgency=medium

  * Bug #56128: Relax hostname length limit from 13 to 15 characters.
  * Bug #58015 UCS 5.2-1 version bump

 -- Arvid Requate <requate@univention.de>  Thu, 24 Apr 2025 17:17:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2024 Univention GmbH
+# Copyright 2004-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-system-setup 15.3.0

=== debian/changelog ===
univention-system-setup (15.3.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Florian Best ]
  * Bug #58644: make logging compatible to structured logging

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:25 +0200

univention-system-setup (15.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:55 +0200

## univention-system-setup 15.3.1

=== debian/changelog ===
univention-system-setup (15.3.1) unstable; urgency=medium

  * Bug #20610: Deprecate udm option --bindpwd, use --bindpwdfile

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 08 Oct 2025 08:32:20 +0200

## univention-system-setup 15.4.0

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2014-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

.PHONY: build install clean

#INITIALSETUP_DE_JSON := usr/share/univention-system-setup-boot/www/i18n/de/initialsetup.json
STYL_FILES := $(shell find usr/share -name '*.styl')
CSS_FILES := $(STYL_FILES:.styl=.css)

build: $(CSS_FILES)

clean:
	$(RM) -f $(CSS_FILES)
	$(RM) -f umc/js/*.json

install: build
	@echo "Nothing to install"

%.css: %.styl
	stylus "$<"

%.json: %.po
	dh-umc-po2json "$<"

=== city-data/Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2014-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

.PHONY: build install clean

# NOTE:
#   In order to update json data files, run 'make clean; make'
#   In order to support l10n for other languages, extend the list LANGUAGES
LANGUAGES := de en
JSON_FILES := country_data.json city_data.json

build: $(JSON_FILES)

clean:
	rm -f alternateNames.txt cities15000.txt $(JSON_FILES)

install: build
	@echo "Nothing to install"

%.txt: %.zip
	unzip -u -d "$(*D)" $<

country_data.json: countryInfo.txt alternateNames.txt
	./create_country_data.py "$@" $(LANGUAGES)

city_data.json: cities15000.txt alternateNames.txt
	./create_city_data.py "$@" $(LANGUAGES)

alternateNames.zip:
	wget https://updates.software-univention.de/download/large-build-files/alternateNames.zip
	echo 'b2592ddda5484bb7a7b0724543ac7dbf5db9a3f5cb47dd1d4bc358e6afda324be55ed9a42355309e7a2ba20c710abd839daa4174cb97947c57abdbead132a1cf  alternateNames.zip' | sha512sum -c

=== debian/changelog ===
univention-system-setup (15.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  gettext-base,
  python3-univention-lib,
  shell-univention-lib (>= 3.0.1-1),
+ univention-appcenter-dev,
  univention-config (>= 8.0-2),
  univention-grub,
  univention-welcome-screen,

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention System Setup
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_auto_test:
	run-parts -a -v tests

override_dh_python3:
	dh_python3 --skip-private

override_dh_install:
	dh_install -Xde.po -Xunivention-system-setup-scripts.po

override_dh_installsystemd:
	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade

%:
	dh $@ --with python3,univention-l10n,umc,ucr
